## org.biojava.stats.svm
Class SimpleSVMClassifierModel

    java.lang.Object
      |
      +--org.biojava.stats.svm.AbstractSVMClassifierModel
            |
            +--org.biojava.stats.svm.SimpleSVMClassifierModel

public class SimpleSVMClassifierModel
extends AbstractSVMClassifierModel

A no-frills implementation of an SVM classifier model.

Author:
  Matthew Pocock

Constructor Summary
`SimpleSVMClassifierModel(SVMKernel kernel)`
`SimpleSVMClassifierModel(SVMKernel kernel, java.util.Collection items)`
`SimpleSVMClassifierModel(SVMKernel kernel, SVMTarget target)`

Method Summary
`void` `addItem(java.lang.Object item)`
`void` `addItemAlpha(java.lang.Object item, double alpha)`
`void` `clear()`
`double` `getAlpha(java.lang.Object item)`
`SVMKernel` `getKernel()`
`double` `getThreshold()`
`java.util.Set` `itemAlphas()`
`java.util.Set` `items()`
`void` `removeItem(java.lang.Object item)`
`void` `setAlpha(java.lang.Object item, double alpha)`
`void` `setThreshold(double threshold)`

Methods inherited from class org.biojava.stats.svm.AbstractSVMClassifierModel
`classify, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSVMClassifierModel

    public SimpleSVMClassifierModel(SVMKernel kernel)

### SimpleSVMClassifierModel

    public SimpleSVMClassifierModel(SVMKernel kernel,
                                    java.util.Collection items)

### SimpleSVMClassifierModel

    public SimpleSVMClassifierModel(SVMKernel kernel,
                                    SVMTarget target)

Method Detail

### getKernel

    public SVMKernel getKernel()

### setThreshold

    public void setThreshold(double threshold)

### getThreshold

    public double getThreshold()

### items

    public java.util.Set items()

### itemAlphas

    public java.util.Set itemAlphas()

### getAlpha

    public double getAlpha(java.lang.Object item)

### setAlpha

    public void setAlpha(java.lang.Object item,
                         double alpha)

  Overrides:
    setAlpha in class AbstractSVMClassifierModel

### addItem

    public void addItem(java.lang.Object item)

  Overrides:
    addItem in class AbstractSVMClassifierModel

### addItemAlpha

    public void addItemAlpha(java.lang.Object item,
                             double alpha)

  Overrides:
    addItemAlpha in class AbstractSVMClassifierModel

### removeItem

    public void removeItem(java.lang.Object item)

  Overrides:
    removeItem in class AbstractSVMClassifierModel

### clear

    public void clear()

  Overrides:
    clear in class AbstractSVMClassifierModel